Last modified: 2013-07-18 09:18:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 48724 - Improve API documentation for Wikibase
Improve API documentation for Wikibase
Status: VERIFIED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikidataRepo (Other open bugs)
master
All All
: High enhancement (vote)
: ---
Assigned To: Addshore
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-05-22 19:32 UTC by Aude
Modified: 2013-07-18 09:18 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Aude 2013-05-22 19:32:45 UTC
http://www.mediawiki.org/wiki/Extension:Wikibase/API is outdated and some api modules are entirely missing documentation there.  

Where applicable (e.g. wbgetclaims), more examples are needed also through the api itself (api.php)
Comment 1 Addshore 2013-07-02 12:39:57 UTC
Apparently I forgot to tag the bug in gerrit..

https://gerrit.wikimedia.org/r/#/c/71610/
Comment 2 Gerrit Notification Bot 2013-07-02 12:41:14 UTC
Change 71610 had a related patch set uploaded by Addshore:
Adding and fixing API examples

https://gerrit.wikimedia.org/r/71610
Comment 4 Gerrit Notification Bot 2013-07-08 14:48:12 UTC
Change 71610 merged by jenkins-bot:
Adding and fixing API examples

https://gerrit.wikimedia.org/r/71610

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links